SearchGroupsFieldCommand (Solr 3.6.2 API)
Keywords: org.apache.solr.search.grouping.distributed.command.SearchGroupsFieldCommand class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.grouping.distributed.command
Class SearchGroupsFieldCommand

    java.lang.Object
      org.apache.solr.search.grouping.distributed.command.SearchGroupsFieldCommand

All Implemented Interfaces:
  Command<Pair<Integer,Collection<SearchGroup<String>>>>

    public class SearchGroupsFieldCommand

extends Object
implements Command<Pair<Integer,Collection<SearchGroup<String>>>>

Creates all the collectors needed for the first phase and how to handle the results.

Nested Class Summary
`static class` | `SearchGroupsFieldCommand.Builder`

Method Summary
`List<Collector>` | `create()` Returns a list of `Collector` instances to be included in the search based on the .
`Sort` | `getGroupSort()`
`String` | `getKey()`
`Sort` | `getSortWithinGroup()`
`Pair<Integer,Collection<SearchGroup<String>>>` | `result()` Returns the results that the collectors created by `Command.create()` contain after a search has been executed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public List<Collector> create()
                           throws IOException

  Description copied from interface: `Command`
  Returns a list of `Collector` instances to be included in the search based on the .

  Specified by:
    `create` in interface `Command<Pair<Integer,Collection<SearchGroup<String>>>>`
  Returns:
    a list of `Collector` instances
  Throws:
    `IOException` - If I/O related errors occur

### result

    public Pair<Integer,Collection<SearchGroup<String>>> result()

  Description copied from interface: `Command`
  Returns the results that the collectors created by `Command.create()` contain after a search has been executed.

  Specified by:
    `result` in interface `Command<Pair<Integer,Collection<SearchGroup<String>>>>`
  Returns:
    The results of the collectors

### getSortWithinGroup

    public Sort getSortWithinGroup()

  Specified by:
    `getSortWithinGroup` in interface `Command<Pair<Integer,Collection<SearchGroup<String>>>>`
  Returns:
    The sort inside a group

### getGroupSort

    public Sort getGroupSort()

  Specified by:
    `getGroupSort` in interface `Command<Pair<Integer,Collection<SearchGroup<String>>>>`
  Returns:
    The group sort (overall sort)

### getKey

    public String getKey()

  Specified by:
    `getKey` in interface `Command<Pair<Integer,Collection<SearchGroup<String>>>>`
  Returns:
    The key of this command to uniquely identify itself

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD